<h2 mat-dialog-tittle> Session timeout</h2>
<mat-dialog-content>
    <div class="row" [hidden]="!isUpdate">

        <div class="col-sm-8"></div>
        <div class="col-sm-8">
            <div class="alert alert-info alert-dismissible">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong>Product Data Updated</strong>
            </div>
        </div>
    </div>
    <div style="width: 400px;">
        <form [formGroup]="productsaveform" #saveproduct (ngSubmit)="updatePro()">
            <input type="hidden" class="form-control" formControlName="productId" [(ngModel)]="data.product.productId">
            <div class="form-group">
                <label for="name">Product Name</label>
                <input type="text" class="form-control" formControlName="productName" [value]="data.product.productName"
                    data-toggle="tooltip" data-placement="right" title="Enter Product Name">
            </div>
            <div class="form-group">
                <label for="name">Product Remained Number</label>
                <input type="text" class="form-control" formControlName="remainedNumber"
                    [(ngModel)]="data.product.remainedNumber" data-toggle="tooltip" data-placement="right"
                    title="Enter Remained Number">
            </div>
            <button type="submit" class="btn btn-success">Update</button>
            <button mat-button mat-dialog-close (click)="refreshPage()">Close</button>
        </form>
    </div>
</mat-dialog-content>